#3209 closed defect (fixed)

RSB should fail on this error

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

I was updating the md5's to sha512's on qemu and made a typo which resulted in this message:

reporting: devel/qemu-git-1.cfg -> qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144-x86_64-linux-gnu-1.xml
error: qemu-git-1.cfg:57: invalid number of hash args
loading: vdeplug
get: requires ()

The error message did not result in the build aborting. Perhaps this should be a fatal error.

The broken RSB fragment was in qemu-git-1.cfg:

 %patch add qemu %{rtems_http_git}/rtems-tools/plain/tools/qemu/0001-openrisc-terminate-qemu-process-upon-receiving-a-hal.patch
-%hash md5 0001-openrisc-terminate-qemu-process-upon-receiving-a-hal.patch 6aa9dfc4522466ab4a463129b3b9cb1d
+%hash md5 376ea9e07c4c8077b345af02856549843dff2ad73b5da5886c71e859c4a0849522c59dcd05724270756763438aecdb70211ea2ae8cac28056cb17da53c3981e1 

Attachments (1)

0001-sb-config-Terminate-building-on-an-error.patch (1.4 KB) - added by Chris Johns on Apr 10, 2018 at 8:03:19 AM.
Terminate a build patch.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Oct 26, 2017 at 7:01:16 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Oct 26, 2017 at 7:03:21 PM by Joel Sherrill

Description: modified (diff)

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:4 Changed on Apr 10, 2018 at 7:55:58 AM by Chris Johns

Are you sure the did continue? If you get an error the RSB switches to --dry-run mode.

Maybe an option should be added to stop the build and if the option --keep-going the mode is switched to dry run?

Changed on Apr 10, 2018 at 8:03:19 AM by Chris Johns

Terminate a build patch.

comment:5 Changed on Apr 11, 2018 at 2:01:37 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 162cbda/rtems-source-builder:

sb/config: Terminate building on an error.

This changes the previous functionality where the RSB switch to
dry run mode. This functionality can be enabled by adding
--keep-going.

Close #3209.

Note: See TracTickets for help on using tickets.